%global pypi_name django-discover-runner

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        1.0
Release:        5%{?dist}
Summary:        A Django test runner based on unittest2's test discovery

License:        BSD
URL:            http://pypi.python.org/pypi/django-discover-runner/%{version}
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-unittest2

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # with_python3

%description
An alternative Django TEST_RUNNER which uses the unittest2 test discovery
from a base path specified in the settings, or any other module or package
specified to the test management command -- including app tests.

%if 0%{?with_python3}
%package -n python3-django-discover-runner
Summary:        A Django test runner based on unittest2's test discovery
Requires:       python3-unittest2

%description -n python3-django-discover-runner
An alternative Django TEST_RUNNER which uses the unittest2 test discovery
from a base path specified in the settings, or any other module or package
specified to the test management command -- including app tests.
This package includes Python 3 build of django-discover-runner.
%endif # with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{python2_sitelib}/discover_runner
%{python2_sitelib}/django_discover_runner-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-django-discover-runner
%doc README.rst LICENSE
%{python3_sitelib}/discover_runner
%{python3_sitelib}/django_discover_runner-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Mon Jun 22 2015 Slavek Kabrda <bkabrda@redhat.com> - 1.0-5
- introduced python3 subpackage

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Matthias Runge <mrunge@redhat.com> - 1.0-1
- update to upstream version 1.0 (rhbz#976022)

* Tue Jun 11 2013 Matthias Runge <mrunge@redhat.com> - 0.4-1
- update to upstream version 0.4

* Fri Feb 08 2013 Matthias Runge <mrunge@redhat.com> - 0.3-2
- include license from upstream

* Wed Feb 06 2013 Matthias Runge <mrunge@redhat.com> - 0.3-1
- Initial package.
